Skip to content

Bulk write 'TagUsage'

Request

Security
customer_id and application_id and service_id and service_version_id and client_ct and client_object_id and client_secret
Bodyapplication/json
Array [
tagobject(Tag)required

Content Type: annotating.tag

object_idstring, (uuid)required
content_typeobject(Innehållstyp)required
organizationobject or null(Organization)
custom_idstring or null, <= 128 characters
valuestring or null, <= 255 characters
start_datestring or null, (date)
end_datestring or null, (date)
]
POST
/annotating/tagusage/list/
curl -i -X POST \
  https://dev.api.pigello.io/annotating/tagusage/list/ \
  -H 'Content-Type: application/json' \
  -H 'X-PIGELLO-APPLICATION-ID: YOUR_API_KEY_HERE' \
  -H 'X-PIGELLO-CLIENT-CT: YOUR_API_KEY_HERE' \
  -H 'X-PIGELLO-CLIENT-ENTITY: YOUR_API_KEY_HERE' \
  -H 'X-PIGELLO-CLIENT-SECRET: YOUR_API_KEY_HERE' \
  -H 'X-PIGELLO-CUSTOMER-ID: YOUR_API_KEY_HERE' \
  -H 'X-PIGELLO-SERVICE-ID: YOUR_API_KEY_HERE' \
  -H 'X-PIGELLO-SERVICE-VERSION-ID: YOUR_API_KEY_HERE' \
  -d '[
    {
      "organization": {
        "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08"
      },
      "custom_id": "string",
      "tag": {
        "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08"
      },
      "value": "string",
      "start_date": "2019-08-24",
      "end_date": "2019-08-24",
      "object_id": "463a83d0-a816-4902-abba-2486e0c0a0bb",
      "content_type": {
        "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08"
      }
    }
  ]'

Responses

Successful bulk create/update

Bodyapplication/json
Array [
idstring, (uuid)read-onlyrequired

Additional Validation Information:

Must be unique

tagobject(Tag)required

Content Type: annotating.tag

object_idstring, (uuid)required
content_typeobject(Innehållstyp)required
organizationobject or null(Organization)
custom_idstring or null, <= 128 characters
created_atstring, (date-time)read-only
valuestring or null, <= 255 characters
start_datestring or null, (date)
end_datestring or null, (date)
]
Response
[ { "organization": { … }, "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08", "custom_id": "string", "created_at": "2019-08-24T14:15:22Z", "tag": { … }, "value": "string", "start_date": "2019-08-24", "end_date": "2019-08-24", "object_id": "463a83d0-a816-4902-abba-2486e0c0a0bb", "content_type": { … } } ]